Search documentation of wx

# View Source wxPageSetupDialogData (wx v2.4.2)

Functions for wxPageSetupDialogData class

This class holds a variety of information related to `wxPageSetupDialog`.

It contains a `wxPrintData` member which is used to hold basic printer configuration data (as opposed to the user-interface configuration settings stored by `wxPageSetupDialogData`).

See: Overview printing, `wxPageSetupDialog`

wxWidgets docs: wxPageSetupDialogData

# Summary

## Types

wxPageSetupDialogData()

## Functions

destroy(This)

Destructor.

enableHelp(This, Flag)

Enables or disables the "Help" button (Windows only).

enableMargins(This, Flag)

Enables or disables the margin controls (Windows only).

enableOrientation(This, Flag)

Enables or disables the orientation control (Windows only).

enablePaper(This, Flag)

Enables or disables the paper size control (Windows only).

enablePrinter(This, Flag)

Enables or disables the "Printer" button, which invokes a printer setup dialog.

getDefaultInfo(This)

Returns true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only).

getDefaultMinMargins(This)

Returns true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only).

getEnableHelp(This)

Returns true if the printer setup button is enabled.

getEnableMargins(This)

Returns true if the margin controls are enabled (Windows only).

getEnableOrientation(This)

Returns true if the orientation control is enabled (Windows only).

getEnablePaper(This)

Returns true if the paper size control is enabled (Windows only).

getEnablePrinter(This)

Returns true if the printer setup button is enabled.

getMarginBottomRight(This)

Returns the right (x) and bottom (y) margins in millimetres.

getMarginTopLeft(This)

Returns the left (x) and top (y) margins in millimetres.

getMinMarginBottomRight(This)

Returns the right (x) and bottom (y) minimum margins the user can enter (Windows only).

getMinMarginTopLeft(This)

Returns the left (x) and top (y) minimum margins the user can enter (Windows only).

getPaperId(This)

Returns the paper id (stored in the internal `wxPrintData` object).

getPaperSize(This)

Returns the paper size in millimetres.

getPrintData(This)
isOk(This)

Returns true if the print data associated with the dialog data is valid.

new()

Default constructor.

new(PrintData)

Construct an object from a print data object.

setDefaultInfo(This, Flag)

Pass true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only).

setDefaultMinMargins(This, Flag)

Pass true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only).

setMarginBottomRight(This, Pt)

Sets the right (x) and bottom (y) margins in millimetres.

setMarginTopLeft(This, Pt)

Sets the left (x) and top (y) margins in millimetres.

setMinMarginBottomRight(This, Pt)

Sets the right (x) and bottom (y) minimum margins the user can enter (Windows only).

setMinMarginTopLeft(This, Pt)

Sets the left (x) and top (y) minimum margins the user can enter (Windows only).

setPaperId(This, Id)

Sets the paper size id.

setPaperSize(This, Size)

Sets the paper size in millimetres.

setPrintData(This, PrintData)

Sets the print data associated with this object.

# Types

Link to this type

# wxPageSetupDialogData()

View Source

    -type wxPageSetupDialogData() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPageSetupDialogData()) -> ok.

Destructor.

Link to this function

# enableHelp(This, Flag)

View Source

    -spec enableHelp(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Enables or disables the "Help" button (Windows only).

Link to this function

# enableMargins(This, Flag)

View Source

    -spec enableMargins(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Enables or disables the margin controls (Windows only).

Link to this function

# enableOrientation(This, Flag)

View Source

    -spec enableOrientation(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Enables or disables the orientation control (Windows only).

Link to this function

# enablePaper(This, Flag)

View Source

    -spec enablePaper(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Enables or disables the paper size control (Windows only).

Link to this function

# enablePrinter(This, Flag)

View Source

    -spec enablePrinter(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Enables or disables the "Printer" button, which invokes a printer setup dialog.

Link to this function

# getDefaultInfo(This)

View Source

    -spec getDefaultInfo(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only).

Link to this function

# getDefaultMinMargins(This)

View Source

    -spec getDefaultMinMargins(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only).

Link to this function

# getEnableHelp(This)

View Source

    -spec getEnableHelp(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the printer setup button is enabled.

Link to this function

# getEnableMargins(This)

View Source

    -spec getEnableMargins(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the margin controls are enabled (Windows only).

Link to this function

# getEnableOrientation(This)

View Source

    -spec getEnableOrientation(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the orientation control is enabled (Windows only).

Link to this function

# getEnablePaper(This)

View Source

    -spec getEnablePaper(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the paper size control is enabled (Windows only).

Link to this function

# getEnablePrinter(This)

View Source

    -spec getEnablePrinter(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the printer setup button is enabled.

Link to this function

# getMarginBottomRight(This)

View Source

    -spec getMarginBottomRight(This) -> {X :: integer(), Y :: integer()}
                                  when This :: wxPageSetupDialogData().

Returns the right (x) and bottom (y) margins in millimetres.

Link to this function

# getMarginTopLeft(This)

View Source

    -spec getMarginTopLeft(This) -> {X :: integer(), Y :: integer()} when This :: wxPageSetupDialogData().

Returns the left (x) and top (y) margins in millimetres.

Link to this function

# getMinMarginBottomRight(This)

View Source

    -spec getMinMarginBottomRight(This) -> {X :: integer(), Y :: integer()}
                                     when This :: wxPageSetupDialogData().

Returns the right (x) and bottom (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

Link to this function

# getMinMarginTopLeft(This)

View Source

    -spec getMinMarginTopLeft(This) -> {X :: integer(), Y :: integer()} when This :: wxPageSetupDialogData().

Returns the left (x) and top (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

Link to this function

# getPaperId(This)

View Source

    -spec getPaperId(This) -> wx:wx_enum() when This :: wxPageSetupDialogData().

Returns the paper id (stored in the internal `wxPrintData` object).

See: `wxPrintData:setPaperId/2`

Link to this function

# getPaperSize(This)

View Source

    -spec getPaperSize(This) -> {W :: integer(), H :: integer()} when This :: wxPageSetupDialogData().

Returns the paper size in millimetres.

Link to this function

# getPrintData(This)

View Source

    -spec getPrintData(This) -> wxPrintData:wxPrintData() when This :: wxPageSetupDialogData().

Link to this function

# isOk(This)

View Source

    -spec isOk(This) -> boolean() when This :: wxPageSetupDialogData().

Returns true if the print data associated with the dialog data is valid.

This can return false on Windows if the current printer is not set, for example. On all other platforms, it returns true.

Link to this function

# new()

View Source

    -spec new() -> wxPageSetupDialogData().

Default constructor.

Link to this function

# new(PrintData)

View Source

    -spec new(PrintData) -> wxPageSetupDialogData()
                 when PrintData :: wxPrintData:wxPrintData() | wxPageSetupDialogData:wxPageSetupDialogData().

Construct an object from a print data object.

Link to this function

# setDefaultInfo(This, Flag)

View Source

    -spec setDefaultInfo(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Pass true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only).

Link to this function

# setDefaultMinMargins(This, Flag)

View Source

    -spec setDefaultMinMargins(This, Flag) -> ok when This :: wxPageSetupDialogData(), Flag :: boolean().

Pass true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only).

Units are in millimetres.

Link to this function

# setMarginBottomRight(This, Pt)

View Source

    -spec setMarginBottomRight(This, Pt) -> ok
                                  when
                                      This :: wxPageSetupDialogData(),
                                      Pt :: {X :: integer(), Y :: integer()}.

Sets the right (x) and bottom (y) margins in millimetres.

Link to this function

# setMarginTopLeft(This, Pt)

View Source

    -spec setMarginTopLeft(This, Pt) -> ok
                              when This :: wxPageSetupDialogData(), Pt :: {X :: integer(), Y :: integer()}.

Sets the left (x) and top (y) margins in millimetres.

Link to this function

# setMinMarginBottomRight(This, Pt)

View Source

    -spec setMinMarginBottomRight(This, Pt) -> ok
                                     when
                                         This :: wxPageSetupDialogData(),
                                         Pt :: {X :: integer(), Y :: integer()}.

Sets the right (x) and bottom (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

Link to this function

# setMinMarginTopLeft(This, Pt)

View Source

    -spec setMinMarginTopLeft(This, Pt) -> ok
                                 when
                                     This :: wxPageSetupDialogData(), Pt :: {X :: integer(), Y :: integer()}.

Sets the left (x) and top (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

Link to this function

# setPaperId(This, Id)

View Source

    -spec setPaperId(This, Id) -> ok when This :: wxPageSetupDialogData(), Id :: wx:wx_enum().

Sets the paper size id.

Calling this function overrides the explicit paper dimensions passed in `setPaperSize/2`.

See: `wxPrintData:setPaperId/2`

Link to this function

# setPaperSize(This, Size)

View Source

    -spec setPaperSize(This, Size) -> ok
                          when This :: wxPageSetupDialogData(), Size :: {W :: integer(), H :: integer()}.

Sets the paper size in millimetres.

If a corresponding paper id is found, it will be set in the internal `wxPrintData` object, otherwise the paper size overrides the paper id.

Link to this function

# setPrintData(This, PrintData)

View Source

    -spec setPrintData(This, PrintData) -> ok
                          when This :: wxPageSetupDialogData(), PrintData :: wxPrintData:wxPrintData().

Sets the print data associated with this object.